{
  "application.shellEnvironmentResolutionTimeout": 90,
  "workbench.colorTheme": "Default High Contrast",
  "remote.SSH.connectTimeout": 90,
  "remote.SSH.enableDynamicForwarding": false,
  "remote.SSH.enableAgentForwarding": false,
  "remote.SSH.enableX11Forwarding": false,
  "python.analysis.inlayHints.functionReturnTypes": true,
  "python.analysis.inlayHints.variableTypes": true,
  "editor.minimap.enabled": false,
  "editor.fontSize": 12,
  "editor.cursorStyle": "block",
  "editor.fontFamily": "'Cascadia Mono', 'monospace', monospace",
  "workbench.colorCustomizations": {
    "editorCursor.foreground": "#ccff66",
    "terminalCursor.foreground": "#ccff66"
  },
  "workbench.editor.showTabs": "none",
  "workbench.activityBar.location": "hidden",
  "window.menuBarVisibility": "toggle",
  "window.commandCenter": false,
  "explorer.autoReveal": false,
  "[python]": {
    "editor.defaultFormatter": "ms-python.black-formatter",
    "editor.formatOnSave": true
  },
  "[terraform]": {
    "editor.defaultFormatter": "hashicorp.terraform",
    "editor.formatOnSave": true
  },
  "[terraform-vars]": {
    "editor.defaultFormatter": "hashicorp.terraform",
    "editor.formatOnSave": true
  },
  "[typescript]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode",
    "editor.formatOnSave": true
  },
  "[typescriptreact]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode",
    "editor.formatOnSave": true
  },
  "javascript.autoClosingTags": false,
  "typescript.autoClosingTags": false,
  "black-formatter.importStrategy": "fromEnvironment",
  "workbench.statusBar.visible": false,
  "git.openRepositoryInParentFolders": "never",
  "files.autoSave": "afterDelay",
  "editor.rulers": [
    100
  ],
  "workbench.secondarySideBar.defaultVisibility": "hidden",
  "editor.autoClosingBrackets": "never",
  "editor.autoSurround": "never",
  "workbench.editor.navigationScope": "editorGroup",
  "python.analysis.typeCheckingMode": "standard",
  "python.trace.server": "verbose",
  "python.analysis.logLevel": "Trace"
}
